---
import Grid from '~/components/blog/Grid.astro';

import { findPostsByIds } from '~/utils/posts';

const ids = [
	'unityx-7-7-testing',
	'unity-7-7-peek',
	'unity-on-arch',
];
const posts = await findPostsByIds(ids);
---

<section class="px-4 py-16 mx-auto max-w-6xl lg:py-20">
	<div class="flex flex-col mb-6 lg:justify-between lg:flex-row md:mb-8">
		<h2 class="max-w-lg mb-2 text-3xl font-bold tracking-tight sm:text-4xl sm:leading-none lg:mb-5 group font-heading">
			<span class="inline-block mb-1 sm:mb-4">Discover more content<br class="hidden md:block" /> in our Blog</span>
		</h2>

		<p class="text-gray-700 dark:text-slate-400 lg:text-sm lg:max-w-md">
			We've got the juiciest blog posts waiting for you, filled with all the latest news and updates. Don't be left in the dark, join us and stay up-to-date on everything Unity7!
		</p>
	</div>

	<Grid posts={posts} />
</section>
